Incidents
List incidents
Newest first (by created_at, then id), the order cursor pages through.
GET
/
incidents
List incidents
curl --request GET \
--url https://use.observer/api/v1/incidents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/incidents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"type": "Incident",
"created_at": "2023-11-07T05:31:56Z",
"severity": "minor",
"state": "draft",
"published_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"scheduled_start_at": "2023-11-07T05:31:56Z",
"scheduled_end_at": "2023-11-07T05:31:56Z",
"actual_start_at": "2023-11-07T05:31:56Z",
"actual_end_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"postmortem_url": "<string>",
"affected_services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"visible_to_customer_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customer_targeting": {
"mode": "none",
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"name": "<string>"
}
],
"notify_customer_subscribers": true
},
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Investigating",
"description": "<string>",
"date": "2023-11-07T05:31:56Z"
}
]
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}Authorizations
Query Parameters
Was this page helpful?
⌘I
List incidents
curl --request GET \
--url https://use.observer/api/v1/incidents \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://use.observer/api/v1/incidents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://use.observer/api/v1/incidents"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"type": "Incident",
"created_at": "2023-11-07T05:31:56Z",
"severity": "minor",
"state": "draft",
"published_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z",
"scheduled_start_at": "2023-11-07T05:31:56Z",
"scheduled_end_at": "2023-11-07T05:31:56Z",
"actual_start_at": "2023-11-07T05:31:56Z",
"actual_end_at": "2023-11-07T05:31:56Z",
"canceled_at": "2023-11-07T05:31:56Z",
"postmortem_url": "<string>",
"affected_services": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"visible_to_customer_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"customer_targeting": {
"mode": "none",
"customers": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_id": "<string>",
"name": "<string>"
}
],
"notify_customer_subscribers": true
},
"messages": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "Investigating",
"description": "<string>",
"date": "2023-11-07T05:31:56Z"
}
]
}
],
"next_cursor": "<string>"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}{
"type": "https://docs.use.observer/api/getting-started/errors#forbidden",
"title": "forbidden",
"status": 403,
"detail": "missing scope: write:incidents"
}
